/*
 * ========================================================================
 *
 * Codehaus CARGO, copyright 2004-2010 Vincent Massol.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ========================================================================
 */
package org.codehaus.cargo.container.glassfish;

import org.codehaus.cargo.container.deployable.DeployableType;

/**
 * GlassFish 3.x container capability.
 * 
 * @version $Id: GlassFish3xContainerCapability.java 2496 2010-10-02 17:22:58Z alitokmen $
 */
public class GlassFish3xContainerCapability extends GlassFish2xContainerCapability
{
    /**
     * {@inheritDoc}
     */
    @Override
    public boolean supportsDeployableType(DeployableType type)
    {
        // type == DeployableType.BUNDLE seems not to be working, see tests
        return super.supportsDeployableType(type);
    }

}
